// Ex302.ino
//

#include <myMotor.h>

// スイッチの変数
const int SW_PIN = 25;

void setup(){
  myMotorSetup();// モーターの設定
  pinMode(SW_PIN, INPUT_PULLUP);// スイッチピン設定
}

void loop() {
  while (digitalRead(SW_PIN) == HIGH);// スイッチが押されるまで待機
  delay(1000);
  
  testFwd(1000);
//  testBwd(1000);
//  testRotL(1000);
//  testRotR(1000);
}

int sp = 322; // モーターのスピード: 0 - 1023

void testFwd(int tau){
  //前進
  left_offset = 0; right_offset = 0;
  motor(sp,sp,HIGH,HIGH);
  delay(tau);
  //停止
  motor(0,0, LOW, LOW);
  delay(500);
}

void testBwd(int tau){
  //後退
  left_offset = 0; right_offset = 0;
  motor(sp,sp,LOW,LOW);
  delay(tau);
  //停止  
  motor(0,0, LOW, LOW);
  delay(500);
}

void testRotL(int tau){
  //左回転
  left_offset = 0; right_offset = 0;
  motor(sp,sp,LOW,HIGH);
  delay(tau);
  //停止
  motor(0,0, LOW, LOW);
  delay(500);
}

void testRotR(int tau){
  //右回転
  left_offset = 0; right_offset = 0;
  motor(sp,sp,HIGH,LOW);
  delay(tau);
  //停止
  motor(0,0, LOW, LOW);
  delay(500);
}

// forward test example:v=vR=vL, w=0
// sp=100  => v=40 [mm/sec]  
// sp=150  => v=100 [mm/sec]
// sp=200  => v=160 [mm/sec]
// sp=250  => v=220 [mm/sec]
// sp=300  => v=260 [mm/sec]
// sp=350  => v=330 [mm/sec]
// sp=400  => v=390 [mm/sec]


