// JJ7turtleGraphics
// Ex304.ino
// Oct. 22, 2019 HK
//
// この例題では関数fwdとrotLは，それぞれこれまでの例題とは異なる
// 引数で定義されています(turtle graphics仕様)．注意してください．
// fwd(前進したい距離[mm]）；rotL(回転させたい角度[度，degree])
// で指定ください．
// それぞれの関数内では，モーター速度spへの変換公式を実測から求めて
// 定義してあります, Oct.26のスライドp.11を参照ください．
// 関数fwdの中の変換式：sp=(70.0+len)/1.15; //len[mm/sec]
// 関数fwdの中の変換式：sp=80.0+ang/2.0; //ang[degree/sec]
//

#include "myJJ7.h"

void setup(){
  myJJ7Setup();
  
  // FastLed
  leds[0] = CRGB(0, 0, 150);   //right   : 0 - 255
  leds[4] = CRGB(50, 0, 0);    //backword: 0 - 255
  leds[8] = CRGB(0, 50, 0);    //left    : 0 - 255
  leds[12] = CRGB(50, 50, 50); //forward : 0 - 255
  FastLED.show();
  
  // スイッチピン設定
  pinMode(SW_PIN, INPUT_PULLUP);
}

void loop() {
  while (digitalRead(SW_PIN) == HIGH);// スイッチが押されるまで待機
  delay(500);
  testSquare();
//  turtle6060();
}

void testSquare(){
  for( int i=0; i<4;i++ ){
    fwd(300); 
    stp();
    rotL(90);
    stp();
  }
}

void turtle6060(){
  for( int j=0; j<6;j++ ){
    for(int i=0; i<6; i++){
      fwd(200); 
 //     stp();
      rotL(60);
 //     stp();
    }
    rotL(60);
//    stp();
  }
}
