//
// myJJ7.h
// 2019/10/12 H.K.

#include "myFastLED.h"
#include "myMotor.h"

// スイッチの変数
const int SW_PIN = 25;

void myJJ7Setup(void){
  myFastLedSetup();
  myMotorSetup();
}

//const int sp = 300; // モーター左右のスピード: 0 - 1023

void fwd(float len){ //  前進
  float sp;
  
  left_offset=0; right_offset=0;
  leds[12] = CRGB(200, 200, 200);
  FastLED.show();
  sp=(len+70.0)/1.15;
  motor((int)sp+left_offset, (int)sp+right_offset, HIGH, HIGH);
  delay(1000);
  leds[12] = CRGB(50, 50, 50);
  FastLED.show();
}
/*
void bwd(int tau){ //  後退
  left_offset=0, right_offset=0;
  leds[4] = CRGB(250, 0, 0);
  FastLED.show();
  motor(sp+left_offset, sp+right_offset, LOW, LOW);
  delay(tau);  
  leds[4] = CRGB(50, 0, 0);
  FastLED.show();
}
*/
void stp(){ //  停止
  leds[3] = CRGB(250, 0, 0);
  leds[4] = CRGB(250, 0, 0);
  leds[5] = CRGB(250, 0, 0);
  FastLED.show();
  motor(0, 0, HIGH, HIGH);
  delay(100);
  leds[3] = CRGB(0, 0, 0);
  leds[4] = CRGB(50, 0, 0);
  leds[5] = CRGB(0, 0, 0);
  FastLED.show();
}

void rotL(float ang){  //  左回転
  float sp;
  
  left_offset=0; right_offset=0;
  leds[8] = CRGB(0, 250, 0);
  FastLED.show();
  sp=78.0+ang/2.0;
  motor((int)sp+left_offset, (int)sp+right_offset, LOW, HIGH);
  delay(1000); 
  leds[8] = CRGB(0, 50, 0);
  FastLED.show();
}
/*
void rotR(int tau){  //  右回転
  left_offset=0; right_offset=0;
  leds[0] = CRGB(0, 0, 250);
  FastLED.show();
  motor(sp+left_offset, sp+right_offset, HIGH, LOW);
  delay(tau);
  leds[0] = CRGB(0, 0, 150);
  FastLED.show();
}
*/
